Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultStandardDosageType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultStandardDosageType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultStandardDosageType extends Object implements Serializable

Java class for ConsultStandardDosageType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultStandardDosageType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Indication" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultIndicationType" maxOccurs="unbounded"/>
             <element name="StandardDosageParamBounds" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultBoundedParameterType" maxOccurs="unbounded"/>
             <element name="TargetGroup" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="KidneyFailureClass" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="LiverFailureClass" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="RouteOfAdministrationCode" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/>
             <element name="RouteSpecification" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="TreatmentDurationType" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="TemporaryDurationDetails" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTemporaryDurationDetailsType" minOccurs="0"/>
             <element name="DosageUnit" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultParameterizedQuantityType" minOccurs="0"/>
             <element name="AdministrationFrequency" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultAdministrationFrequencyType" minOccurs="0"/>
             <element name="MaximumAdministrationFrequency" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultAdministrationFrequencyType" minOccurs="0"/>
             <element name="MaximumDailyQuantity" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultParameterizedQuantityType" minOccurs="0"/>
             <element name="TextualDosage" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="SupplementaryInfo" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
           </sequence>
           <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultStandardDosageType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultAdministrationFrequencyType`
  `getAdministrationFrequency()`
  Administration Frequency (provided as X per Y.
  `int`
  `getCode()`
  Gets the value of the code property.
  `ConsultParameterizedQuantityType`
  `getDosageUnit()`
  Defines what counts as a single administration dose in this Standard Dosage.
  `List<ConsultIndicationType>`
  `getIndications()`
  Indication for which this standard dosage is applicable Gets the value of the indications property.
  `Integer`
  `getKidneyFailureClass()`
  If Kidney Failure is a predictor, the Kidney Failure Class defines a Standard Dosage based on Creatinine Clearance (Cockcroft-Gault Equation) 0 - Normal Kidney Function 1 - Creatinin Clearance between 30 and 60 mL/min 2 - Creatinin Clearance between 10 and 30 mL/min 3 - Creatinin Clearance lower than 10 mL/min
  `Integer`
  `getLiverFailureClass()`
  If Liver Function Failure is a predictor, the Liver Failure Class defines a Standard Dosage based on the Child-Pugh score 0 - Normal Liver Function 1 - Child Pugh Score 5 or 6 (grade A) 2 - Child Pugh Score 7, 8 or 9 (grade B) 3 - Child Pugh Score 10 or more (grade C)
  `ConsultAdministrationFrequencyType`
  `getMaximumAdministrationFrequency()`
  If a Maximum Administration Frequency exists.
  `ConsultParameterizedQuantityType`
  `getMaximumDailyQuantity()`
  Maximum daily quantity, all administrations combined.
  `List<String>`
  `getRouteOfAdministrationCodes()`
  Reference to the Route of Administration data.
  `ConsultTextType`
  `getRouteSpecification()`
  Optional additional information on the route of administration, e.g.
  `List<ConsultBoundedParameterType>`
  `getStandardDosageParamBounds()`
  The standard dosage is only applicable if the patient's parameters fall within the given bounds.
  `ConsultTextType`
  `getSupplementaryInfo()`
  Additional information, free text.
  `String`
  `getTargetGroup()`
  This Standard Dosage is only applicable to the specified target group.
  `ConsultTemporaryDurationDetailsType`
  `getTemporaryDurationDetails()`
  If the Treatment Duration Type is Temporary, the details of the duration are specified here.
  `ConsultTextType`
  `getTextualDosage()`
  If the dosage can not be modelled in the defined structure.
  `String`
  `getTreatmentDurationType()`
  Treatment duration type.
  `void`
  `setAdministrationFrequency(ConsultAdministrationFrequencyType value)`
  Sets the value of the administrationFrequency property.
  `void`
  `setCode(int value)`
  Sets the value of the code property.
  `void`
  `setDosageUnit(ConsultParameterizedQuantityType value)`
  Sets the value of the dosageUnit property.
  `void`
  `setKidneyFailureClass(Integer value)`
  Sets the value of the kidneyFailureClass property.
  `void`
  `setLiverFailureClass(Integer value)`
  Sets the value of the liverFailureClass property.
  `void`
  `setMaximumAdministrationFrequency(ConsultAdministrationFrequencyType value)`
  Sets the value of the maximumAdministrationFrequency property.
  `void`
  `setMaximumDailyQuantity(ConsultParameterizedQuantityType value)`
  Sets the value of the maximumDailyQuantity property.
  `void`
  `setRouteSpecification(ConsultTextType value)`
  Sets the value of the routeSpecification property.
  `void`
  `setSupplementaryInfo(ConsultTextType value)`
  Sets the value of the supplementaryInfo property.
  `void`
  `setTargetGroup(String value)`
  Sets the value of the targetGroup property.
  `void`
  `setTemporaryDurationDetails(ConsultTemporaryDurationDetailsType value)`
  Sets the value of the temporaryDurationDetails property.
  `void`
  `setTextualDosage(ConsultTextType value)`
  Sets the value of the textualDosage property.
  `void`
  `setTreatmentDurationType(String value)`
  Sets the value of the treatmentDurationType property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultStandardDosageType

    public ConsultStandardDosageType()

- ## Method Details

  - ### getIndications

    public List<ConsultIndicationType> getIndications()
    Indication for which this standard dosage is applicable Gets the value of the indications property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the indications property.

    For example, to add a new item, do as follows:

         getIndications().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultIndicationType`

    Returns:
      The value of the indications property.

  - ### getStandardDosageParamBounds

    public List<ConsultBoundedParameterType> getStandardDosageParamBounds()
    The standard dosage is only applicable if the patient's parameters fall within the given bounds. Gets the value of the standardDosageParamBounds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardDosageParamBounds property.

    For example, to add a new item, do as follows:

         getStandardDosageParamBounds().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultBoundedParameterType`

    Returns:
      The value of the standardDosageParamBounds property.

  - ### getTargetGroup

    public String getTargetGroup()
    This Standard Dosage is only applicable to the specified target group. Values: NEONATE, PAEDIATRICS, ADOLESCENT, ADULT
    Returns:
      possible object is `String`

  - ### setTargetGroup

    public void setTargetGroup(String value)
    Sets the value of the targetGroup property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTargetGroup()`

  - ### getKidneyFailureClass

    public Integer getKidneyFailureClass()
    If Kidney Failure is a predictor, the Kidney Failure Class defines a Standard Dosage based on Creatinine Clearance (Cockcroft-Gault Equation) 0 - Normal Kidney Function 1 - Creatinin Clearance between 30 and 60 mL/min 2 - Creatinin Clearance between 10 and 30 mL/min 3 - Creatinin Clearance lower than 10 mL/min
    Returns:
      possible object is `Integer`

  - ### setKidneyFailureClass

    public void setKidneyFailureClass(Integer value)
    Sets the value of the kidneyFailureClass property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getKidneyFailureClass()`

  - ### getLiverFailureClass

    public Integer getLiverFailureClass()
    If Liver Function Failure is a predictor, the Liver Failure Class defines a Standard Dosage based on the Child-Pugh score 0 - Normal Liver Function 1 - Child Pugh Score 5 or 6 (grade A) 2 - Child Pugh Score 7, 8 or 9 (grade B) 3 - Child Pugh Score 10 or more (grade C)
    Returns:
      possible object is `Integer`

  - ### setLiverFailureClass

    public void setLiverFailureClass(Integer value)
    Sets the value of the liverFailureClass property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getLiverFailureClass()`

  - ### getRouteOfAdministrationCodes

    public List<String> getRouteOfAdministrationCodes()
    Reference to the Route of Administration data. Standard Dosage can be applicable to multiple routes. Gets the value of the routeOfAdministrationCodes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the routeOfAdministrationCodes property.

    For example, to add a new item, do as follows:

         getRouteOfAdministrationCodes().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the routeOfAdministrationCodes property.

  - ### getRouteSpecification

    public ConsultTextType getRouteSpecification()
    Optional additional information on the route of administration, e.g. 'in both nostrils'
    Returns:
      possible object is `ConsultTextType`

  - ### setRouteSpecification

    public void setRouteSpecification(ConsultTextType value)
    Sets the value of the routeSpecification property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getRouteSpecification()`

  - ### getTreatmentDurationType

    public String getTreatmentDurationType()
    Treatment duration type. Values: ONE_OFF, TEMPORARY, CHRONIC, IF_NECESSARY
    Returns:
      possible object is `String`

  - ### setTreatmentDurationType

    public void setTreatmentDurationType(String value)
    Sets the value of the treatmentDurationType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTreatmentDurationType()`

  - ### getTemporaryDurationDetails

    public ConsultTemporaryDurationDetailsType getTemporaryDurationDetails()
    If the Treatment Duration Type is Temporary, the details of the duration are specified here.
    Returns:
      possible object is `ConsultTemporaryDurationDetailsType`

  - ### setTemporaryDurationDetails

    public void setTemporaryDurationDetails(ConsultTemporaryDurationDetailsType value)
    Sets the value of the temporaryDurationDetails property.
    Parameters:
      `value` - allowed object is `ConsultTemporaryDurationDetailsType`
    See Also:
      - `getTemporaryDurationDetails()`

  - ### getDosageUnit

    public ConsultParameterizedQuantityType getDosageUnit()
    Defines what counts as a single administration dose in this Standard Dosage. Quantity can be multiplied by a patient parameter (e.g. patient weight).
    Returns:
      possible object is `ConsultParameterizedQuantityType`

  - ### setDosageUnit

    public void setDosageUnit(ConsultParameterizedQuantityType value)
    Sets the value of the dosageUnit property.
    Parameters:
      `value` - allowed object is `ConsultParameterizedQuantityType`
    See Also:
      - `getDosageUnit()`

  - ### getAdministrationFrequency

    public ConsultAdministrationFrequencyType getAdministrationFrequency()
    Administration Frequency (provided as X per Y. e.g. 3 administrations per 1 day)
    Returns:
      possible object is `ConsultAdministrationFrequencyType`

  - ### setAdministrationFrequency

    public void setAdministrationFrequency(ConsultAdministrationFrequencyType value)
    Sets the value of the administrationFrequency property.
    Parameters:
      `value` - allowed object is `ConsultAdministrationFrequencyType`
    See Also:
      - `getAdministrationFrequency()`

  - ### getMaximumAdministrationFrequency

    public ConsultAdministrationFrequencyType getMaximumAdministrationFrequency()
    If a Maximum Administration Frequency exists. Prescribers should not exceed this maximum.
    Returns:
      possible object is `ConsultAdministrationFrequencyType`

  - ### setMaximumAdministrationFrequency

    public void setMaximumAdministrationFrequency(ConsultAdministrationFrequencyType value)
    Sets the value of the maximumAdministrationFrequency property.
    Parameters:
      `value` - allowed object is `ConsultAdministrationFrequencyType`
    See Also:
      - `getMaximumAdministrationFrequency()`

  - ### getMaximumDailyQuantity

    public ConsultParameterizedQuantityType getMaximumDailyQuantity()
    Maximum daily quantity, all administrations combined. Prescribers should not exceed this maximum.
    Returns:
      possible object is `ConsultParameterizedQuantityType`

  - ### setMaximumDailyQuantity

    public void setMaximumDailyQuantity(ConsultParameterizedQuantityType value)
    Sets the value of the maximumDailyQuantity property.
    Parameters:
      `value` - allowed object is `ConsultParameterizedQuantityType`
    See Also:
      - `getMaximumDailyQuantity()`

  - ### getTextualDosage

    public ConsultTextType getTextualDosage()
    If the dosage can not be modelled in the defined structure. Free text.
    Returns:
      possible object is `ConsultTextType`

  - ### setTextualDosage

    public void setTextualDosage(ConsultTextType value)
    Sets the value of the textualDosage property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getTextualDosage()`

  - ### getSupplementaryInfo

    public ConsultTextType getSupplementaryInfo()
    Additional information, free text.
    Returns:
      possible object is `ConsultTextType`

  - ### setSupplementaryInfo

    public void setSupplementaryInfo(ConsultTextType value)
    Sets the value of the supplementaryInfo property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getSupplementaryInfo()`

  - ### getCode

    public int getCode()
    Gets the value of the code property.

  - ### setCode

    public void setCode(int value)
    Sets the value of the code property.